Update name of bulk send batch
Updates the name of a bulk send batch.
Authentication
AuthorizationBearer
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
accountId
The external account number (int) or account ID Guid.
bulkSendBatchId
The batch ID.
Request
This endpoint expects an object: bulkSendBatchRequest
batchName
The new name of the bulk send batch.
This property is required. The maximum length of the string is 500 characters.
Response
Successful response.
action
actionStatus
batchId
The batch ID.
batchName
The batch name.
batchSize
The number of of bulk envelopes submitted in the current batch
bulkErrors
An array of error statuses.
envelopeIdOrTemplateId
The ID of the draft envelope or template that was used to create the batch.
envelopesInfo
envelopesUri
The URI to get all envelopes sent in the batch.
failed
The number of envelopes that failed to process or send.
mailingListId
The ID of the mailing list used to create the batch.
mailingListName
ownerUserId
queued
The number of envelopes waiting in pending queue
resendsRemaining
senderUserId
The ID of the sender.
sent
The number of envelopes sent successfully.
submittedDate
The timestamp of when the batch was submitted in ISO 8601 format.
Errors
400
Bad Request Error